@ECHO OFF
ECHO.
ECHO.
ECHO PROGRAMME DE CONFIGURATION DOSMED EN RESEAU
ECHO *******************************************
ECHO.
ECHO.

PAUSE

net user DosmedUser Dosmed2019 /ADD

pause

WMIC USERACCOUNT WHERE Name="DosmedUser" SET PasswordExpires=FALSE


Pause

Net user DosmedUser

Pause

Net user


PAUSE

net share Dosmed07=C:\Dosmed07 /grant:"DosmedUser",FULL
net share Dosmed07=C:\Dosmed07 /grant:"tout le monde",FULL
net share Dosmed07=C:\Dosmed07 /grant:"everyone",FULL

Pause

REG ADD HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System /v EnableLinkedConnections /t REG_DWORD /d 1 /f

REG ADD "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon\SpecialAccounts\UserList" /v DosmedUser /t REG_DWORD /d 0 /f

Pause


@ECHO OFF
CLS
echo 	********************************************************************
echo 	* SI VOUS ETES SUR LE PC DU MEDECIN CONTINUER LA SUITE DE CE BATCH!*
echo 	* SI VOUS ĘTES SUR LE PC INFIRMIERE VOUS DEVEZ ARRETER CE BATCH!   *
echo 	********************************************************************
echo				1.CONTINUER
echo				2.ARRETER


CHOICE /C 12 /M "Entrez votre choix: Entre 1 et 2"

:: Note - list ERRORLEVELS in decreasing order
IF ERRORLEVEL 2 GOTO EXIT
IF ERRORLEVEL 1 GOTO CONTINUER

 

:CONTINUER
CLS
net use
echo NOM DU PC INFIRMIERE ? :
set /p pc=
echo Choix de La LETTRE POUR LE DISQUE RESEAU DOSMED EXEMPLE : M 
set /p L=
net use %L%: /d
net use %L%: "\\%pc%\Dosmed07" /user:DosmedUser Dosmed2019
Pause

Echo.
Echo FIN...! LE DISQUE %L%:/  DOIT MAINTENANT EXISTER!
echo.

PAUSE

:EXIT
exit